Bug 250030

Summary: ethernet+modem pcmcia card not recognised
Product: [Fedora] Fedora Reporter: Philip Ashmore <contact>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED WORKSFORME QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 8CC: snecklifter, triage
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-01-08 23:49:32 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
lshal>lshal.txt
none
reboot with and without pcmcia card
none
output of "lspci -vvxxx"
none
output of "lsmod"
none
contents of /proc/ioports
none
tail end of /var/log/messages none

Description Philip Ashmore 2007-07-29 16:14:15 EDT
Description of problem:
F7 doesn't recognize my pcmcia ethernet+modem card

Version-Release number of selected component (if applicable):


How reproducible:
very.

Steps to Reproduce:
1. Insert pcmcia card
2.
3.
  
Actual results:
The following appears in /var/log/messages
Jul 29 20:34:42 philipashmore kernel: pccard: PCMCIA card inserted into slot 1
Jul 29 20:34:42 philipashmore kernel: cs: memory probe 0xf2000000-0xfbffffff:
excluding 0xf2000000-0xf27fffff 0xf6800000-0xf6ffffff 0xf8000000-0xfbffffff
Jul 29 20:34:42 philipashmore kernel: pcmcia: registering new device pcmcia1.0
Jul 29 20:34:43 philipashmore kernel: eth%d: pcnet_reset_8390() did not complete.
Jul 29 20:34:43 philipashmore kernel: pcnet_cs: unable to read hardware net
address for io base 0xd300
Jul 29 20:34:43 philipashmore kernel: eth%d: pcnet_reset_8390() did not complete.
Jul 29 20:34:43 philipashmore kernel: pcnet_cs: unable to read hardware net
address for io base 0xd300

Expected results:
Modem and ethernet devices available for use.

Additional info:
I know I've already got built-in ethernet and modem, it's the pcmcia
functionality I want to test before I buy another card.
My smolt data is
http://smolt.fedoraproject.org/show?UUID=780f4114-ba22-4875-ab6a-34113ae3fb75
It's a Dell Inspiron 8000 but I don't know how to change that in smolt.
Comment 1 Philip Ashmore 2007-07-29 16:14:15 EDT
Created attachment 160205 [details]
lshal>lshal.txt
Comment 2 Christopher Brown 2007-09-21 09:21:45 EDT
Hello Philip,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.

Cheers
Chris
Comment 3 Philip Ashmore 2007-09-21 10:06:08 EDT
Here are the latest log entries for my most recent attempt to use the combo
pcmcia modem / network card.

Sep 21 14:30:24 philipashmore kernel: pccard: PCMCIA card inserted into slot 0
Sep 21 14:30:25 philipashmore kernel: cs: memory probe 0xf2000000-0xfbffffff:
excluding 0xf2000000-0xf27fffff 0xf6800000-0xf6ffffff 0xf8000000-0xfbffffff
Sep 21 14:30:27 philipashmore kernel: pcmcia: registering new device pcmcia0.0
Sep 21 14:30:27 philipashmore kernel: eth%d: pcnet_reset_8390() did not complete.
Sep 21 14:30:29 philipashmore kernel: pcnet_cs: unable to read hardware net
address for io base 0xd300
Sep 21 14:30:30 philipashmore kernel: eth%d: pcnet_reset_8390() did not complete.
Sep 21 14:30:30 philipashmore kernel: pcnet_cs: unable to read hardware net
address for io base 0xd300

My kernel version (from uname -r)
2.6.22.5-76.fc7
Comment 4 Philip Ashmore 2007-09-21 10:54:45 EDT
Created attachment 202311 [details]
reboot with and without pcmcia card
Comment 5 Philip Ashmore 2007-09-21 10:59:00 EDT
The attachment I just posted is a segment of /var/log/messages (today only!) and
includes a Kernel oops presumably as a result of leaving the pcmcia card in.

I read the Kernel but triage page but could not in confidence prune the log as
it could all be relevant to a more expert examination.
Comment 6 Christopher Brown 2007-09-21 18:50:47 EDT
Okay thanks for the updates Philip. A quick search shows a number of similar
issues on the web and it appears that this driver is no longer under development
however this might make it a candidate to take upstream to the kernel.org
bugzilla. However this could be a hardware issue - are you able to use it on any
other system?

If you are willing and able, it may also help to install the latest debug kernel
from:

http://download.fedora.redhat.com/pub/fedora/linux/updates/7/i386/debug/

however it is a hefty download at around 175MB. Could you also attach the
following outputs:

# lspci -vvxxx
# lsmod

I would add that this:

http://pcmcia-cs.sourceforge.net/cgi-bin/HyperNews/get/pcmcia/devel/19/1.html

doesn't look promising if it is the same hardware as you have.

Cheers
Chris
Comment 7 Philip Ashmore 2007-09-22 10:54:09 EDT
I found
kernel-debug-debuginfo-2.6.22.5-76.fc7.i686.rpm
kernel-debuginfo-2.6.22.5-76.fc7.i686.rpm
kernel-debuginfo-common-2.6.22.5-76.fc7.i686.rpm
- which do I install?

Also, is there a KDE app to "safely remove hardware" like on XP?

I switched over to XP and eventually found the driver I was looking for:
    http://mrdriver.com/device.php?id=11627
It's a
    DMF560TX 10_100 Fast Ethernet+56K Fax_Modem (56K Fax_Modem) PC Card
It's listed in
    http://pcmcia-cs.sourceforge.net/ftp/SUPPORTED.CARDS
under the
    Multifunction ethernet/modem cards
in the
    [pcnet_cs driver] [x86,axp]
section as
    D-Link DME-336T, DMF-560TX, DMF-560TXD
Comment 8 Philip Ashmore 2007-09-22 10:58:18 EDT
Created attachment 203051 [details]
output of "lspci -vvxxx"
Comment 9 Philip Ashmore 2007-09-22 10:59:05 EDT
Created attachment 203061 [details]
output of "lsmod"
Comment 10 Christopher Brown 2007-09-23 11:41:22 EDT
(In reply to comment #7)
> I found
> kernel-debug-debuginfo-2.6.22.5-76.fc7.i686.rpm
> kernel-debuginfo-2.6.22.5-76.fc7.i686.rpm
> kernel-debuginfo-common-2.6.22.5-76.fc7.i686.rpm
> - which do I install?

Apologies, try:
http://download.fedora.redhat.com/pub/fedora/linux/updates/7/i386/

and the kernel-debug-2.6.22.5-76.fc7.i686.rpm

package.

> Also, is there a KDE app to "safely remove hardware" like on XP?

Not that I'm aware of. I have little experience of KDE however removable disks
should always be unmounted (right click>Unmount) and if there is still data
writing to disk it should warn you. As for ethernet/modem cards, it is best to
bring down the interface before removing.

# ifdown eth1 (or whatever it is eth0, ath0 etc.)

or 

pccardctl eject

> I switched over to XP and eventually found the driver I was looking for:
>     http://mrdriver.com/device.php?id=11627
> It's a
>     DMF560TX 10_100 Fast Ethernet+56K Fax_Modem (56K Fax_Modem) PC Card
> It's listed in
>     http://pcmcia-cs.sourceforge.net/ftp/SUPPORTED.CARDS
> under the
>     Multifunction ethernet/modem cards
> in the
>     [pcnet_cs driver] [x86,axp]
> section as
>     D-Link DME-336T, DMF-560TX, DMF-560TXD

Great, although note that pcmcia-cs is deprecated and only for use with 2.4
kernels. It would be interesting to see what is being reported with pcmciautils:

pccardctl info
pccardctl ident

as this is what you should be using in 2.6 kernels. If you can also post a dmesg
output with the card inserted that would be helpful.

Cheers
Chris
Comment 11 Philip Ashmore 2007-09-24 08:11:24 EDT
I inserted the card and dmesg had the following at the end:
pccard: PCMCIA card inserted into slot 1
cs: memory probe 0xf2000000-0xfbffffff: excluding 0xf2000000-0xf27fffff
0xf6800000-0xf6ffffff 0xf8000000-0xfbffffff
pcmcia: registering new device pcmcia1.0
eth%d: pcnet_reset_8390() did not complete.
pcnet_cs: unable to read hardware net address for io base 0xd300
eth%d: pcnet_reset_8390() did not complete.
pcnet_cs: unable to read hardware net address for io base 0xd300

"pccardctl info" reported:
PRODID_1=""
PRODID_2=""
PRODID_3=""
PRODID_4=""
MANFID=0000,0000
FUNCID=255
PRODID_1="PCMCIAs"
PRODID_2="Fast Ethernet+56K ComboCard"
PRODID_3=""
PRODID_4=""
MANFID=0143,c0ab
FUNCID=0

"pccardctl ident" reported:
Socket 0:
  no product info available
Socket 1:
  product info: "PCMCIAs", "Fast Ethernet+56K ComboCard", "", ""
  manfid: 0x0143, 0xc0ab
  function: 0x0 (multifunction), 9
Comment 12 Christopher Brown 2007-09-24 10:38:36 EDT
Okay, thanks for the additional info Phil. Just curious - you seem to have built
in Ethernet and modem - is this not operational or are you intending to bridge?
Comment 13 Philip Ashmore 2007-09-24 10:56:47 EDT
The laptop I originally bought the card for is now refusing to boot. It's the
hard disk controller, I think.
You're right, I have working modem and network ports.
I want to use this card to do performance tests.
It's just easier if the clients and servers are on the same machine - I know I
could use the loop back device, but sending data over a real network connection
is closer to real-life.
Plus I could still conceivably use the old machine via network boot with this
pcmcia card for more tests.
Comment 14 Chuck Ebbert 2007-09-24 20:05:44 EDT
Can you post the contents of /proc/ioports?
Also, kernel option "cbiosize=1024" might help.
Comment 15 Philip Ashmore 2007-09-25 06:31:45 EDT
Created attachment 205081 [details]
contents of /proc/ioports
Comment 16 Philip Ashmore 2007-09-25 06:37:52 EDT
Created attachment 205091 [details]
tail end of /var/log/messages

I added the kernel command line option "cbiosize=1024" and installed the debug
kernel.
No kernel oops this time when booting with the card inserted but I'm still
getting the same problem.
Comment 17 Chuck Ebbert 2007-09-25 17:45:51 EDT
Try cbiosize=4096
Comment 18 Philip Ashmore 2007-09-25 23:46:39 EDT
Nope.
Using the debug kernel I did notice the resume from hibernate displaying a
progress message while loading memory from disk - I don't see that with the
release kernel, and no oops message.
Comment 19 Christopher Brown 2008-01-10 13:54:11 EST
Hello Philip,

Could I trouble you for an update - are you still seeing experiencing this issue
or has it been resolved for you?
Comment 20 Philip Ashmore 2008-01-10 14:18:27 EST
Jan 10 19:12:28 philipashmore kernel: pccard: PCMCIA card inserted into slot 0
Jan 10 19:12:28 philipashmore kernel: pcmcia: registering new device pcmcia0.0
Jan 10 19:12:28 philipashmore kernel: eth%d: pcnet_reset_8390() did not complete.
Jan 10 19:12:28 philipashmore kernel: pcnet_cs: unable to read hardware net
address for io base 0xd300
Jan 10 19:12:28 philipashmore kernel: eth%d: pcnet_reset_8390() did not complete.
Jan 10 19:12:28 philipashmore kernel: pcnet_cs: unable to read hardware net
address for io base 0xd300
Comment 21 Christopher Brown 2008-01-10 14:45:46 EST
Philip,

Thanks for the update. Adding kernel.org bug as reference for you which may help. 

Please try adding the following to /etc/pcmcia/config.opts

exclude port 0xd000-0xefff

If this fails you may have more success with removing (or commenting out) the
final line:

include port 0xa00-0xaff

Regards
Chris
Comment 22 Philip Ashmore 2008-01-11 16:42:09 EST
No luck.
I'm getting the same results as above.
I tried
    exclude port 0xd000-0xefff
    # the final line is below
    include port 0xa00-0xaff
then
    exclude port 0xd000-0xefff
    # the final line is below
    # include port 0xa00-0xaff
and
    # exclude port 0xd000-0xefff
    # the final line is below
    # include port 0xa00-0xaff
Comment 23 Bug Zapper 2008-05-14 09:44:57 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 24 Philip Ashmore 2008-05-14 10:24:22 EDT
I would suggest bumping the Fedora version this relates to -> 8 as I still have
this problem (with Fedora 8).

I will try it with F9 once I can install it from a live image on a local hard
disk partition - see https://bugzilla.redhat.com/show_bug.cgi?id=446367
Comment 25 Philip Ashmore 2008-09-11 20:32:26 EDT
After a pin broke in my built-in network socket I was forced to re-examine the pcmcia card network option.

To recap, previous attempts got the following result

Sep 19 01:29:29 philipashmore kernel: pccard: PCMCIA card inserted into slot 1
Sep 19 01:29:29 philipashmore kernel: cs: memory probe 0xf4000000-0xfbffffff: excluding 0xf4000000-0xf8ffffff
Sep 19 01:29:29 philipashmore kernel: pcmcia: registering new device pcmcia1.0
Sep 19 01:29:29 philipashmore kernel: eth%d: pcnet_reset_8390() did not complete.
Sep 19 01:29:29 philipashmore kernel: pcnet_cs: unable to read hardware net address for io base 0xe300

I noticed that after inserting the following into /etc/pcmcia/config.opts

    exclude port 0xd000-0xefff

(the indent is for readability) I got
Sep 19 02:09:55 philipashmore kernel: pccard: PCMCIA card inserted into slot 1
Sep 19 02:09:55 philipashmore kernel: cs: memory probe 0xf4000000-0xfbffffff: excluding 0xf4000000-0xf8ffffff
Sep 19 02:09:55 philipashmore kernel: pcmcia: registering new device pcmcia1.0
Sep 19 02:09:55 philipashmore kernel: eth%d: pcnet_reset_8390() did not complete.
Sep 19 02:09:55 philipashmore kernel: pcnet_cs: unable to read hardware net address for io base 0xf300

Note the change in the last line - I probably missed it loads of times.

I finally got it to work by using

   exclude port 0xd000-0xffff

Sep 19 02:17:10 philipashmore kernel: pccard: PCMCIA card inserted into slot 1
Sep 19 02:17:10 philipashmore kernel: cs: memory probe 0xf4000000-0xfbffffff: excluding 0xf4000000-0xf8ffffff
Sep 19 02:17:10 philipashmore kernel: pcmcia: registering new device pcmcia1.0
Sep 19 02:17:11 philipashmore kernel: eth1: NE2000 (DL10019 rev 05): io 0x300, irq 3, hw_addr 00:e0:98:70:27:d8
Sep 19 02:17:11 philipashmore kernel: pcmcia: registering new device pcmcia1.1
Sep 19 02:17:11 philipashmore kernel: 1.1: ttyS1 at I/O 0x2f8 (irq = 3) is a 16550A

To re-iterate, inserting the following into /etc/pcmcia/config.opts

    exclude port 0xd000-0xffff

Fixes the problem - I'm using it now to file this message.
Comment 26 Bug Zapper 2008-11-26 02:37:04 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 27 Bug Zapper 2009-01-08 23:49:32 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 28 Philip Ashmore 2009-01-10 07:30:14 EST
I've changed the resolution of this bug to CLOSED - WORKSFORME.

I'm the original reporter of this bug - if it wasn't for me you wouldn't have known about the problem.

I also reported in https://bugzilla.redhat.com/show_bug.cgi?id=250030#c25
that I had resolved the problem.

You've got to accept both together or neither.